Get the scenes of a project. A vendor gets only the entities of their tasks, without the hidden metadata columns.
Query parameters
-
Page to get, answered as an object with data, total, nb_pages, limit, offset and page. Without page nor limit, the route returns the full list.
-
Number of rows in a page, or in a request of a cursor walk
-
Without page, id of the last row of the previous request. With limit, it walks the whole list from the newest created row to the oldest, request after request, until one returns fewer rows than limit
GET
/data/projects/{project_id}/scenes
curl
curl -X GET "http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/scenes" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json"
import requests
url = "http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/scenes"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json"
}
params = {}
payload = None
response = requests.get(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
Response examples (200)
[
{
"id": "a24a6ea4-ce75-4665-a070-57453082c250",
"name": "SC001",
"project_id": "b24a6ea4-ce75-4665-a070-57453082c250",
"parent_id": "c24a6ea4-ce75-4665-a070-57453082c250"
}
]